Download it now!
Bug 50307 - psprint.conf file is clobbered on each upgrade
Summary: psprint.conf file is clobbered on each upgrade
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other Linux (All)
: medium minor
Assignee: Petr Mladek
URL:
Whiteboard: target:3.6.0
Keywords: difficultyInteresting, easyHack, skillScript
Depends on:
Blocks:
 
Reported: 2012-05-24 05:56 UTC by Dave Richards
Modified: 2015-12-16 00:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Richards 2012-05-24 05:56:30 UTC
This issue has been around for a long time and behaved the same way on OpenOffice.  The RPM package should not clobber the existing psprint.conf file each time an update is performed.  For those that use the unmodified print engines it's no big deal, but if you have spent time with customizations and spadmin you can lose lots of work.  Requesting please that this file not overwrite if one already exists.   I don't believe the file format has change in many years and it should be OK to just create something like psprint.conf.rpmdefault in that folder.
Comment 1 Petr Mladek 2012-05-28 03:19:28 UTC
The standard solution is to mark files as %config in the RPM file list.

It seems that it happens when we add add "CONFIGFILE" into the "Style" line into the file metadata in scp2.
Comment 2 Not Assigned 2012-05-28 03:24:53 UTC
Petr Mladek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=176b01d488b8f243a47d140cad7e721b4dbb941f

do not replace modified psprint.conf from rpm packages (fdo#50307)
Comment 3 Petr Mladek 2012-05-29 02:44:51 UTC
Fixed in master for 3.6 release.
Comment 4 Robinson Tryon (qubit) 2015-12-16 00:40:13 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyInteresting SkillScript)
[NinjaEdit]